## Overview
The purpose of this mod is to add some level of scaling to (what I believe are) under performing items that don't really scale with the player.
At least that's what it used to be, now I sorta just change things that I think are underwhelming or never hear anything positive about it.

Configs are provided for those that wish to tweak or disable most changes made by this mod.

## Item Changes

### Bison Steak

```
- Gives 20 (+20 per stack) max health.
- Each level gives an additional 2 (+2 per stack) max health.
- Killing an enemy grants 2/hps regeneration for 3 seconds (+3 per stack).
```

_While Bison Steak isn't a terrible item and is generally seen as being better than its predecessor Fresh Meat, it suffers from being weaker than alternatives in its tier (Tougher Times, Repulsion Armor and Personal Shield Generator) and also doesn't scale or have any good synergies. These two changes help keep the item relevant throughout the run and offer something its alternatives don't have._

### Topaz Brooch

```
- Gives 14 barrier on kill, instead of 15.
- Now gives additional barrier equal to 0.5%(+0.5% per stack) of the users max health.
```

_Topaz Brooch is already considered a good item, this simply makes it more usable on high health builds/characters without the need for a Forgive Me Please or excessive stacking._

### Hunter's Harpoon

```
- On kill effect lasts for 1.5(+0.75 per stack) seconds, instead of 1(+0.5 per stack) seconds.
- On kill effect also increases primary and secondary cooldown rate by +125%, fading the same as the speed boost.
```
_The buff now lasts longer to make the speed boost less jarring and because the general value of stacking felt underwhelming. The buff also increases primary and secondary skill cooldown rate as I feel the item doesn't do enough to justify being a Green._

### Infusion

```
- Increases level instead of health.
- By default a single Infusion can give up to 1 level.
- Killing Elite and Boss type enemies gives more samples to reduce the need for grinding.
- If a minion has infusions and kills an enemy it sends the samples to the owner instead if they have infusions.
- When a minion spawns and has infusions it gets the same amount of samples as the owner.
```

_With the changes I've made to Bison Steak this is now redundant, this change gives it a different but similar use case. While this mostly increases health, damage and regen, some characters, skills and items scale with level so this can boost those further._

### Leeching Seed

**Buff**

```
- Hits heal 1 (+1 per stack) health with 50% of it being affected by proc coefficient. (Basically Withor's LeechingSeedBuff)
```

**Rework**

```
- Heals 1 (+1 per stack) health when dealing damage with a DoT.
- Attacks have a 25% chance to apply a DoT called "Leech" for 5s.
- Leech does not stack.
- Anyone that deals damage to a target with Leech will heal for 1% of the damage dealt.
```

_Leeching Seed is often compared to Harvester's Scythe and in most cases the latter is considered better. Both these changes are designed to give it a use case that Harvester's Scythe doesn't share._

### Lepton Daisy

```
- Releases the healing nova every 10 seconds during Holdout events, instead of being a limited amount based on the team's stack count.
- The nova heals 10% (+10% per stack), hyperbolically capping at 200% of the target's maximum health, instead of 50% of the target's maximum health.
```

_Lepton Daisy suffers from being unreliable or a dead item half the time. This buff intends to make it shine in the situations it can actually be used._

### Old War Stealthkit

```
- Cooldown now stacks similar to Genesis loop. (This is a nerf.)
- Has its own unique buff called "Stealthed" instead of sharing with Bandit's Smokebomb.
- Upon activation you are forced out of "Combat" and "Danger" for 1 second.
```

_Forcing the user out of combat and danger makes it more effective at disengaging from dangerous situations due to synergising with select few items._

### Squid Polyp

````
- Stacking now increases the lifespan of the Squid Polyp. (+3 seconds per stack)
- Stacking increases the armor of the Squid Polyp. (+10 per stack)
- The Squid Polyp's attack now applies Tar.
- Squid Polyps now have their healing disabled if they haven't been active for a while. (25-27 seconds)
````

_Squid Polyp is either an automatic scrap or specifically built around, in the latter's case you typically need to dedicate all your item choices to it. The Tar debuff is mostly for Death Mark synergy, but it's also useful for keeping enemies within range for longer. The lifespan and armor stacking bonuses give the item more value when stacking which is where I believe it suffers most. Disabling healing for Squids that have been inactive for too long is for those situations where you've hit the minion cap and you have ten Squid Polyps chilling on the other side of the map._

### War Horn

```
- Now gives +60% (+15% per stack) attack speed, instead of 70% attack speed.
- Duration lasts 6 (+2 per stack) seconds, instead of 8(+4 per stack) seconds.
```

_War Horn is pretty good for a green item but once you have full uptime further stacks don't mean much. This change makes getting extra less of a dead item._

### Wax Quail

```
- Jump boost has been removed from natural air jumps. (Mercenary's double jump for example)
- Jump boost strength is now 12 (+6 per stack), hyperbolically capping at 150 instead of 10 (+10 per stack) with no cap.
- Jump boost also gives a 30% boost to vertical jump height.
- Gives +14% (+7% per stack), hyperbolically capping at 150% movement speed while airborne.
```

_Wax Quail can be annoying to use at even just 10 stacks, these changes make stacking more valuable without ruining movement as quickly._

### Aegis

```
- Excess health regen now counts towards barrier gain.
- Gives 20 (+20 per stack) armor.
```

_Aegis can be difficult to use on shorter runs but is otherwise powerful. Excess regen becoming barrier can help kick-start builds that are a bit short on healing, and the extra armor ensures it's never a dead pick up._

### Ben's Raincoat

```
- Now gives 2(+1 per stack) debuff blocks, instead of 1(+1 per stack).
- Cooldown now begins when a debuff is blocked, instead of when all stacks of the block is consumed.
- Cooldown now lasts 7 seconds, instead of 5 seconds.
```

_Ben's Raincoat's rework in 1.2.3 is more thematically fitting but unfortunately the nerfs were overkill. The biggest offender is that the cooldown only starts when all stacks of its buff is exhausted making the item potentially awkward to use and lowering its stacking value. This buff aims to fix theses two issues._

### Laser Scope

```
- Gives +5% critical strike chance on the first stack.
```

_This is to keep consistent with other crit items._

### Lost Seer's Lenses

```
- Has a 10 second recharge mechanic like Runald's and Kjaro's.
- When it's off cooldown the next hit with a proc coefficient will crit.
- The resulting crit will also deal 15% total damage to all enemies within 20m, including what was hit.
- Stacking further increases the total damage by +15%.
```

_After many runs I've found Lost Seer's Lenses to be unenjoyable due to it doing nothing against bosses and completely removing regular enemies, I've yet to see any mods that change this so I'm trying my hand at it._

### Voidsent Flame

```
- Detonates on the user's first hit against an enemy, instead of at 100% or more health.
- Minions with Voidsent Flame will count as both theirself and their owner for the purposes of proccing the item.
- Explosion radius is now 10m (+2m per stack), instead of 12m (+2.4m per stack).
```

_The method to proc this item is unusual and very specific, this change makes it more reasonable especially in a multiplayer scenario. The blast radius was also nerfed slightly to make up for this change._

### Defense Nucleus

**Shared Changes**

```
- Alpha Construct Ally now detonate on death, dealing 450% damage in a 12m radius.
- The projectile that spawns the construct will now replace and kill excess constructs instead of spawning nothing.
- Alpha Construct Ally are now flagged as Mechanical, meaning they're affected by Spare Drone Parts and Captain's passive.
```

**Buff**

```
- Removed "Elite" requirement for kills.
- Limited to 4 Alpha Constructs at all times.
- The summoned constructs can proc the item for you if they kill an enemy.
- Stacking now increases the health and damage of the summons.
```

**Rework**

```
- Activates when using equipment.
- Summons 3 Alpha Constructs on activation.
- Gives a temporary Xi Construct projectile shield on activation.
- Stacking increases the health and damage of the summons and duration of the shield.
```

_This item has an okay effect, terrible stacking that likely gets hard capped by the ally limit and to top it off you need to kill an elite for it to even proc. This buff/rework should hopefully make the item much more exciting to find. As you may have noticed I've aimed at improving the quality of the summons rather than the quantity, this is to avoid hitting the ally cap and for late game performance._

### Titanic Knurl

**Buff**

```
- Health increase is boosted further by level.
```

_Because Bison Steak was buffed like this it only makes sense for Titanic Knurl to get the same buff._

**Rework**

```
- Every 6 seconds a Stone Fist attacks an enemy within 50 metres for 700% damage.
- Stacking increases the cooldown rate by +15% and damage by +350%.
```

_While Titanic Knurl isn't bad it's effect is boring compared to all other boss items. This rework is made to mimic the Stone Titan's Stone Fist ability, which should make it feel more like a boss item than before._

## Known Issues

- The air speed bonus from Wax Quails remains for a single tick when landing, this means if you "Bunny Hop" the jump boost is strengthened by the air speed bonus.

## Change Log

**1.14.0**

```
- Removed Red Whip Changes.

- Voidsent Flame:
- Added "Base Damage" and "Stack Damage" configurations, controls the damage of the Voidsent Flame explosion.
- Added "Proc Coefficient" configuration, controls the Proc Coefficient of the Voidsent Flame explosion.

- Leeching Seed Rework:
- Leech's minimum healing is now enforced after being multiplied by the proc coefficient.
- Changed "DoT Heal" default configuration. (1 -> 2)
- Changed "Leech Life Steal" default configuration. (0.01 -> 0.02)
- Added "Leech Minimum Life Steal" configuration, controls the minimum amount of healing Leech gives.

- Titanic Knurl Rework:
- Changed "Stack Damage" default configuration. (3.5 -> 4)

- Added a rework for Lost Seer's Lenses.
```

**1.13.4**

```
- Leeching Seed Rework:
- Changed "DoT Heal" default configuration. (1.5 -> 1)
- Changed "Leech Life Steal" default configuration. (0.05 -> 0.01)
- Leech Debuff heals at minimum 20% of the attacker's level. (2 healing at level 10 for example)
- Leech Debuff healing is now affected by Proc Coefficient, and is applied AFTER the minimum healing.

- Lepton Daisy:
- Changed "Base Healing" default configuration. (0.15 -> 0.1)
- Changed "Stack Healing" default configuration. (0.15 -> 0.1)
- Caps at 200% of the target's maximum health instead of 100%.
- Added "Capped Healing" configuration, controls the hyperbolic stacking cap of the healing.

- Wax Quail:
- Changed "Base Horizontal Boost" default configuration. (15 -> 12)
- Changed "Stack Horizontal Boost" default configuration. (5 -> 6)
- Changed "Base Air Speed Bonus" default configuration. (0.14 -> 0.12)
- Changed "Base Vertical Boost" default configuration. (0.3 -> 0.2)
- All effects given now have a limit, stacking is Hyperbolic as a result.
- Added "Capped Horizontal Boost", "Capped Vertical Boost" and "Capped Air Speed Bonus" configurations, they control the stacking limits.
- Aerial speed bonus is no longer multiplied by the sprinting speed multiplier while not sprinting. (Yeah don't ask.)

- Defense Nucleus Buff:
- Changed "Cooldown" default configuration. (1.5 -> 1)
```

**1.13.3**

```
- Titanic Knurl Rework:
- Added "Proc Coefficient" configuration, controls the proc coefficient of the Stone Fist.
- Added "Attack Distance" configuration, controls the maximum targeting distance of the Stone Fist.
- Added "Target Mode" configuration, controls which targeting mode the Stone Fist uses.
- Changed the "weak" targeting to account for the armor stat.
```

**1.13.2**

```
Old War Stealthkit:
- No longer activates if the user is still "Stealthed".
- "danger" and "combat" cancels are no longer tied to the "Stealthed" buff.
- Activation forces the user out of "danger" and "combat" for 1 second.
- Added "Cancel Duration" configuration, controls how long the "danger" and "combat" cancel lasts for.
- Added "Buff Duration" configuration, controls how long the "Stealthed" buff is given for.
- Added "Base Cooldown" configuration, controls the base cooldown between activations.
- Added "Stack Cooldown" configuration, controls the cooldown reduction from additional item stacks.
```

**1.13.1**

```
Leeching Seed:
- Fixed "Normal Heal" configuration not being used.
```

**1.13.0**

_Would appreciate feedback on the Wax Quail changes, including default configurations. Felt Lepton Daisy was bit too weak for how situational it is and also might look into Simulacrum specific changes._

```
Bison Steak:
- Changed "Base HP" default configuration. (25.0 -> 20.0)
- Changed "Level HP" default configuration. (2.5 -> 2.0)

Leeching Seed:
- Healing is received in a single instance instead of two.
- Changed "Normal Heal" default configuration. (1.0 -> 0.5)

Lepton Daisy:
- Changed "Base Healing" default configuration. (0.1 -> 0.15)
- Changed "Stack Healing" default configuration. (0.1 -> 0.15)

Wax Quail:
- Added changes to Wax Quail.
```

## Credits

* **duckduckgreyduck** - Their GreenAlienHead mod was used as reference for some IL code.
* **Risk of Thunder's R2Wiki** - Wouldn't have been able to understand the above mod without this.
* **Moffein/Risky_Lives** - More IL code references.
* **Hopoo Games** - For leaving Bison Steak in its current state.
* **Conq#1738** - Benthic Bloom rework concept.

## Contact

You can find me as kking117#0370 on Discord.